Subject: Re: git-p4 issue

From: Pete Wyckoff <[email-masked]>
Date: Sat, 16 Apr 2011 12:01:09 -0400

[email-masked] wrote on Fri, 15 Apr 2011 16:39 -0400:
> I am sure that is a common mistake people make, but not in this case.
> I have been using it successfully for a while now, it just suddenly
> stopped working, not sure what changed.  I am not seeing anything on
> remotes/p4/master either, and I was originally doing rebase and went
> back to sync so I could run "--verbose" and see if it was even
> downloading those changes.  I can clearly see it says it is
> downloading them, but then they just don't end up in git.
> 
> Since I don't see an error message about it failing to sync, I am at a
> loss to figure out why it says it succeeded, but it didn't.  Could
> there be one step in the code that is not catching an error condition?
>  I am not all that familiar with Python, but if someone could point me
> where to put some debug messages, I can do some testing.

It would say something if it failed.  If git-p4 says it brought
in changes, they would appear at the top of p4/master, or another
branch in remotes/p4 if you use git-p4's auto-branch feature.

Do "git branch -av".  You should see remotes/p4/master with the
latest p4 change.

It is possible to create a branch "p4/master" that is not
remotes/p4/master and possibly cause confusion.  "tree -a
.git/refs" to see all your branches.

You can try "git fsck" to see if something is terribly wrong.
Or nose around .git, see if there are some recently-created
objects and use "git cat-file -p" to look at them.

If you are willing to tar up your .git and leave it somewhere,
I can take a look too.

		-- Pete

> Thanks,
> 
> Mike
> 
> 
> 
> On Fri, Apr 15, 2011 at 4:22 PM, Tor Arvid Lund <[email-masked]> wrote:
> >
> > On Fri, Apr 15, 2011 at 5:00 AM, Michael Horowitz
> > <[email-masked]> wrote:
> > > Pete,
> > >
> > > I was hoping you could help me out again.  After using git-p4 for a
> > > while without a problem, it has suddenly stopped working for me.  I am
> > > using the latest master.  I haven't seen any recent changes that I
> > > think could have caused this, but maybe you'll have some insight.
> > >
> > > The issue is that when I do a git-p4 sync on my existing repository,
> > > it reports success, but seems to do nothing.  It does not download the
> > > latest changes from p4.  If I delete my repository and start over, it
> > > will download all the latest changes, even the ones it was not
> > > downloading previously, but if I try to sync again later, it does not
> > > do anything.  I tried running it with the "--verbose" mode, and I see
> > > it says it is loading each of the changes, but they are not ending up
> > > in the git repository, and it is not reporting any errors.
> >
> > Hi, Michael.
> >
> > Is it possible that you expect that 'git p4 sync' should update your
> > working branch and/or working tree? Assuming a simple clone with a
> > local master branch, running 'git-p4 sync' will update the branch
> > remotes/p4/master, but it won't do anything on my working master
> > branch...
> >
> > Maybe you want to call 'git rebase p4/master' afterwards, or use the
> > shorthand 'git p4 rebase' to do a sync+rebase.
> >
> > Regards,
> > Tor Arvid.
> >
> > > Any ideas of what this could be?  Is there anything else I can run to
> > > help debug this?
> > >
> > > Thanks,
> > >
> > > Mike
> > > --
> > > To unsubscribe from this list: send the line "unsubscribe git" in
> > > the body of a message to [email-masked]
> > > More majordomo info at  http://vger.kernel.org/majordomo-info.html
> > >
>